package com.ibm.examples;
/*
 * ** THIS example is provided AS-IS, without warranty.
 * ** Do not contact the IBM or IBM employees for support
 * ** of this example as no support will be provided.
 *
 * File:
 *      DumpAgentTest.jar
 *
 * Description:
 *      This example demonstrates how to use the DumpAgent agent that will
 *      generate a javacore, heapdump, or process core based on a specific
 *      threshold.
 *
 * Syntax:
 *      JAVA_HOME/bin/java -javaagent:dumpagent.jar="OPTIONS" -Xmx200M com.ibm.examples.DumpAgentTest
 *
 *      where OPTIONS can be (all options are required)
 *      -l
 *              Confirms that you have read and accept the license / user agreement
 *      -d java|heap|system[,java|heap|system]
 *              java = javacore
 *              heap = heapdump
 *              system = process core file
 *      -t theshold_percent
 *              percent of java heap used (e.g., 80 = Java heap is 80% used)
 *      -r range_start..range_stop
 *              range_start = start range
 *              range_stop = stop range
 *              (e.g., 1..1 = generate 1 dump, 1..4 = generate 4 dumps)
 *
 * History:
 *      2016-08-30:     Prakash Palaniappan (IBM Java Development)      Created examples
 *      2016-09-20:     Roger Leuckie (IBM AIX Java Support)            Updated / Published
 *
 */


import java.util.ArrayList;
import java.util.List;

class DumpAgentTest {
    private static final long MEGABYTE = 1024L * 1024L;
    public static void main(String[] args) {
        DumpAgentTest pt = new DumpAgentTest();
        pt.start();
    }

    public static long bytesToMegabytes(long bytes) {
        return bytes / MEGABYTE;
    }

    public void start() {
        List < Person > list = new ArrayList < Person > ();
        for (int i = 0; i <= 9999; i++) {
          for(int j=0; j<=5999999; j++) {
            Person per = new Person("John", "Mchlaren");
                list.add(per);
          }
          list.clear();
        }
    }

    class Person {
        String first_name;
        String last_name;
        public Person(String firstname, String lastname) {
            first_name = firstname;
            last_name = lastname;
        }
    }
}

